
QGIS Application - Bug report #12549

QGIS GUI scaling issues on retina display

2015-04-11 01:53 AM - Jeremy Palmer

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.8.1 Regression?: No

Operating System: Ubuntu, LINUX Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20691

Description

I've just installed Ubuntu 14.04.2 on a Macbook Pro (11,3) with a retina display. With a HDPI set the QGIS GUI elements do not scale as

nicely as they should.

In my situation I have 2880x1800 resolution with 1.5 scaling in set in the setting-displays->scale for menu and title bars system settings.

QGIS 2.8 icons, boxes and combo boxes do not scale to the platform settings. If I change the font size and icon size things are a little

better but spacing and certain text or combo boxes still do not size well. See attached screenshot which shows bad sizing of the

coordinate and scale boxes in status bar which would be really nice to fix!

Related issues:

Related to QGIS Application - Feature request # 11103: Support for retina dis... Closed 2014-08-26

History

#1 - 2015-04-28 01:43 AM - Alessandro Pasotti

This is an attempt to fix this issue:

https://github.com/qgis/QGIS/pull/2014

#2 - 2015-04-28 01:49 AM - Alessandro Pasotti

- Status changed from Open to Closed

Fixed in https://github.com/qgis/QGIS/pull/2014

#3 - 2015-04-28 01:51 AM - Jürgen Fischer

- Resolution set to fixed/implemented

fixed in commit:15c1dbc

#4 - 2015-04-28 03:34 AM - Jeremy Palmer

Thanks heaps. Question: Do we have to wait for QT5 to get true scaling of the application on HiDPI? i.e icon, fonts, widgets
